Ogre::Viewport::Listener Class Reference

Listener interface so you can be notified of Viewport changes. More...

`#include <OgreViewport.h>`

Inheritance diagram for Ogre::Viewport::Listener:
[legend]

List of all members.

## Public Member Functions

virtual | ~Listener ()
virtual void | viewportCameraChanged (Viewport *viewport)
| Notification of when a new camera is set to target listening Viewport.
virtual void | viewportDimensionsChanged (Viewport *viewport)
| Notification of when target listening Viewport's dimensions changed.
virtual void | viewportDestroyed (Viewport *viewport)
| Notification of when target listening Viewport's is destroyed.

## Detailed Description

Listener interface so you can be notified of Viewport changes.

Definition at line 60 of file OgreViewport.h.

## Constructor & Destructor Documentation

virtual Ogre::Viewport::Listener::~Listener | ( |  | ) | `[virtual]`

Definition at line 63 of file OgreViewport.h.

## Member Function Documentation

virtual void Ogre::Viewport::Listener::viewportCameraChanged | ( | Viewport * | viewport | ) | `[virtual]`

Notification of when a new camera is set to target listening Viewport.

Reimplemented in Ogre::CompositorChain.

Definition at line 66 of file OgreViewport.h.

virtual void Ogre::Viewport::Listener::viewportDestroyed | ( | Viewport * | viewport | ) | `[virtual]`

Notification of when target listening Viewport's is destroyed.

Reimplemented in Ogre::CompositorChain.

Definition at line 72 of file OgreViewport.h.

virtual void Ogre::Viewport::Listener::viewportDimensionsChanged | ( | Viewport * | viewport | ) | `[virtual]`

Notification of when target listening Viewport's dimensions changed.

Reimplemented in Ogre::CompositorChain.

Definition at line 69 of file OgreViewport.h.

The documentation for this class was generated from the following file:

- OgreViewport.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:42